## python-pcs 0.5+debian

=== Makefile ===
#
#
# File: $Id: Makefile,v 1.2 2006/06/15 07:52:02 gnn Exp $
#
# Author: George V. Neville-Neil
#
# Makefile for building distributions of PCS.  

PYTHON	= python

all: pcap.c
	$(PYTHON) setup.py config $(CONFIG_ARGS)
	$(PYTHON) setup.py build

pcap.c: pcs/pcap/pcap.pyx
	pyrexc pcs/pcap/pcap.pyx

install: all
	$(PYTHON) setup.py install

dist:
	$(PYTHON) setup.py sdist

clean:
	$(PYTHON) setup.py clean
	rm -rf build dist MANIFEST \
		pcs/pcap/config.h \
		pcs/pcap/config.pkl

=== debian/changelog ===
python-pcs (0.5+debian-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #839611)

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
  * Fix dh_pycentral-is-obsolete (Lintian).
  * Fix build-depends-on-python-dev-with-no-arch-any (Lintian).
  * Fix binary-arch-rules-but-pkg-is-arch-indep (Lintian).
  * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
  * Fix wrong-section-according-to-package-name python (Lintian).
  * Fix no-homepage-field (Lintian).
  * Fix debian-watch-file-should-mangle-version (Lintian).
  * (Closes: #670744, #831946)

  [ Jakub Wilk ]
  * Fix IP6Connector.mcast().  (Closes: #593821)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 Dec 2016 20:42:52 +0100

python-pcs (0.5+debian-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #617016). Thanks to Colin Watson for the
    patch forwarded from Ubuntu. 

 -- Andrea Colangelo <warp10@ubuntu.com>  Wed, 26 Jun 2013 12:44:04 +0200

python-pcs (0.5+debian-1.1) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490499.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:41:00 +0000

python-pcs (0.5+debian-1) unstable; urgency=low

  * Initial release; closes: #436369.
  * Rebuild the upstream tarball to remove the duplicate copy of python-pypcap
    and the compiled PDF manual.
  * Patch setup.py and pcs/__init__.py to allow for an external copy of
    python-pypcap.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 14 Aug 2007 22:21:13 -0400

=== debian/control ===
Source: python-pcs
Section: python
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 9),
 python-all-dev (>= 2.6.6-3~),
 texlive-latex-recommended,
Standards-Version: 3.9.3
XS-Python-Version: >= 2.5
Homepage: http://freecode.com/projects/pcs

Package: python-pcs
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pypcap
Description: Packet Construction Set for Python
 PCS is a set of Python modules and objects that make building network
 protocol code easier for the protocol developer. It provides functionality
 to encode and decode network packets in various formats as well as a set
 of classes for the most commonly used network protocols. libpcap can be
 used to read packets from dump files or network devices and to inject
 constructed packets into the network.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1


PYVERS = $(shell pyversions -r)
PKG = python-pcs


build-arch: build
build-indep: build

build:
	dh_testdir
	for python in $(PYVERS); do $$python setup.py config build; done
	mkdir -p docs/tmp
	cd docs \
		&& pdflatex --output-directory=tmp pcs.tex \
		&& pdflatex --output-directory=tmp pcs.tex

clean:
	dh_testdir
	dh_testroot
	rm -rf build docs/tmp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	for python in $(PYVERS); do $$python setup.py install --no-compile --root=debian/$(PKG) --install-layout=deb; done

binary-arch: build install
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_python2
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_link
	dh_compress -Xexamples -Xpdf
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="dversionmangle=s/$/+debian/" \
http://sf.net/pcs/pcs-(.*)\.tar\.gz

## python-pcs 0.6+debian

=== Makefile ===
#
# Author: George V. Neville-Neil
#
# Makefile for building distributions of PCS.  

#PYTHON	= python2.6    #
#CYTHON  = cython-2.6   # These versions are set for Mac OS Only

PYTHON	= python
CYTHON  = cython

all: 
	$(PYTHON) setup.py config
	$(PYTHON) setup.py build

install: all
	$(PYTHON) setup.py install

dist:
	$(PYTHON) setup.py sdist

clean:
	$(PYTHON) setup.py clean
	rm -rf build dist MANIFEST \
		pcs/pcap/pcap.c \
		pcs/bpf/bpf.c \
		pcs/clock/clock.c

=== docs/Makefile ===
#
# File: $Id: Makefile,v 1.1 2006/06/15 07:52:02 gnn Exp $
#
# Author: George V. Neville-Neil
#
# Documentation Makefile for PCS.  You can build various versions of
# the docs from here.

.SUFFIXES: .tex .pdf

SRCS= pcs.tex design.tex

all: ${SRCS:S/.tex/.pdf/} man latex

.tex.pdf:
	pdflatex ${.IMPSRC}

man::
	doxygen
clean::
	rm -rf *.pdf *.html *.out *.log Web/html man latex

=== docs/Web/Makefile ===
#
#
# File: $Id: Makefile,v 1.2 2006/06/15 07:52:02 gnn Exp $
#
# Author: George V. Neville-Neil
#
# Makefile for updating PCS web pages.
FILES = *.html *.jpg *.py ../pcs.pdf html/

install::
	scp -r ${FILES} gnn@shell.sourceforge.net:/home/groups/p/pc/pcs/htdocs
